### Struct

# ECal ComponentText

#### Description [src]

    struct ECalComponentText {
      /* No available fields */
    }

Contains description string and an alternate representation URI for text properties. Use the functions below to work with it.

#### Constructors

###### e_cal_component_text_new

Creates a new `ECalComponentText` describing text properties. The returned structure should be freed with e_cal_component_text_free(), when no longer needed.

since: 3.34

###### e_cal_component_text_new_from_property

Created a new `ECalComponentText` filled with values from the `property`. The `property` should hold a text value.

since: 3.46

#### Instance methods

###### e_cal_component_text_copy

No description available.

since: 3.34

###### e_cal_component_text_fill_property

Fills the `property` with the content of the `text`.

since: 3.46

###### e_cal_component_text_free

Free the `text`, previously allocated by `e_cal_component_text_new()` or e_cal_component_text_copy().

since: 3.34

###### e_cal_component_text_get_altrep

No description available.

since: 3.34

###### e_cal_component_text_get_language

No description available.

since: 3.46

###### e_cal_component_text_get_value

No description available.

since: 3.34

###### e_cal_component_text_set_altrep

Set the `altrep` as the alternate representation URI of the `text`.

since: 3.34

###### e_cal_component_text_set_from_property

Fill the `text` structure with the information from the `property`. The `property` should hold a text value.

since: 3.46

###### e_cal_component_text_set_language

Set the `language` as the language of the `text`. The language tag is defined in RFC 5646. For example `en-US`, not `en_US`.

since: 3.46

###### e_cal_component_text_set_value

Set the `value` as the description string of the `text`.

since: 3.34